Subject: bug#32463: 27.0.50; (logior -1) => 4611686018427387903

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Aug 2018 18:03:30 +0300

> From: Pip Cet <[email-masked]>
> Date: Sat, 18 Aug 2018 19:58:40 +0000
> Cc: [email-masked], [email-masked], [email-masked]
> 
> > It is IMO absurd for us to deprecate a valid and useful operation just
> > because we added bignums.  If we cannot agree on its semantics for
> > bignums (which would surprise me), then it is better to make it not
> > work for bignums at all than deprecate it for fixnums.
> 
> The recent code changes made `lsh' behave the same as `ash' for
> fixnums, if I understand correctly. Are you suggesting we revert to
> the previous behavior, and try to come up with an interpretation for
> bignums that somehow extends the previous behavior?

I indeed missed the change in the behavior of lsh, as it wasn't
accompanied by any documentation changes.  However, today's commits by
Paul already reverted lsh to its previous behavior, I believe.